You are not logged in.

#1 2009-09-04 19:03:19

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 589

[SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

Hi,
Need some help with conflicts in recent mesa update:

resolving dependencies...
looking for inter-conflicts...

Targets (19): damageproto-1.2.0-1  dmxproto-2.2.99.1-1  fontsproto-2.1.0-1  libdrm-2.4.13-1
              libfontenc-1.0.5-1  libice-1.0.6-1  libpciaccess-0.10.8-1  libxau-1.0.5-1
              libxcursor-1.1.10-1  xineramaproto-1.1.99.1-1  libxinerama-1.0.99.1-1
              xf86dgaproto-2.0.99.1-1  libxxf86dga-1.0.99.1-1  xf86vidmodeproto-2.2.99.1-1
              libxxf86vm-1.0.99.1-1  mesa-7.5.1-1  pixman-0.16.0-1  videoproto-2.3.0-1
              xorg-server-1.6.3.901-1

Total Download Size:    0,00 MB
Total Installed Size:   17,62 MB

Proceed with installation? [Y/n] y
checking package integrity...
(19/19) checking for file conflicts                 [####################################] 100%
error: failed to commit transaction (conflicting files)
mesa: /usr/include/GL/glew.h exists in filesystem
mesa: /usr/include/GL/glxew.h exists in filesystem
mesa: /usr/include/GL/wglew.h exists in filesystem
Errors occurred, no packages were upgraded.
pacman -Qo /usr/include/GL/glew.h 
/usr/include/GL/glxew.h is owned by glew 1.5.1-1

BTW, I'm on i686

Please advise.

Thank you. wink

Last edited by Xabre (2009-09-06 00:14:24)

Offline

#2 2009-09-04 19:13:37

djszapi
Member
From: Cambridge, United Kingdom
Registered: 2009-06-14
Posts: 1,439
Website

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

Hello Xabre!

After you checked that files, you can use the force option, pacman -f

Offline

#3 2009-09-04 20:59:15

Babets
Member
Registered: 2008-02-07
Posts: 47

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

djszapi wrote:

Hello Xabre!

After you checked that files, you can use the force option, pacman -f

I don't think it's a good option in this case.
If the conflicting files are not included in any packages the -f option is the correct solution but not in this case.
Please fill a bug report.

Last edited by Babets (2009-09-04 21:00:15)

Offline

#4 2009-09-04 21:00:15

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 589

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

djszapi, thanks for your answer.
However, I'm a bit worried that forcing overwrite of files that belong to some other package ( files from mesa overwrite files from glew) might cause future problems.
Is this a bug or it's supposed to be that way? I still bet it's a packaging bug... wink

Offline

#5 2009-09-04 21:02:43

Babets
Member
Registered: 2008-02-07
Posts: 47

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

Xabre wrote:

Is this a bug or it's supposed to be that way? I still bet it's a packaging bug... wink

Yes, it's a bug.

Offline

#6 2009-09-04 21:03:42

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

Babets wrote:
Xabre wrote:

Is this a bug or it's supposed to be that way? I still bet it's a packaging bug... wink

Yes, it's a bug.

btw, the bugtracker is up! just wait until dns is propagated


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#7 2009-09-04 21:05:04

1LordAnubis
Member
Registered: 2008-10-10
Posts: 250
Website

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

Exactly the same problem here.


Any society that would give up a little liberty to gain a little security will deserve neither and lose both.
-Benjamin Franklin
The reasonable man adapts himself to the world; the unreasonable one persists in trying to adapt the world to himself. Therefore all progress depends on the unreasonable man.
-George Bernard Shaw

Offline

#8 2009-09-04 21:07:28

Babets
Member
Registered: 2008-02-07
Posts: 47

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

I'm opening the bug

Offline

#9 2009-09-04 21:08:08

panosk
Member
From: Athens, Greece
Registered: 2008-10-29
Posts: 241

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

Same here neutral

Offline

#10 2009-09-04 21:12:18

Babets
Member
Registered: 2008-02-07
Posts: 47

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

Offline

#11 2009-09-04 21:14:25

Xabre
Member
From: Serbia
Registered: 2009-03-19
Posts: 589

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

@Babets
Man, you're quick . wink

Offline

#12 2009-09-04 21:16:05

loafer
Member
From: the pub
Registered: 2009-04-14
Posts: 1,690

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

I did:

 
sudo mv /usr/include/GL/glew.h /usr/include/GL/glew.h-old
sudo mv /usr/include/GL/glxew.h /usr/include/GL/glxew.h-old
sudo mv /usr/include/GL/wglew.h /usr/include/GL/wglew.h-old

did a pacman syu

rebooted and it's not broken yet.  I may be about to eat my words -:)

Last edited by loafer (2009-09-04 21:16:44)


All men have stood for freedom...
For freedom is the man that will turn the world upside down.
Gerrard Winstanley.

Offline

#13 2009-09-04 21:18:29

Babets
Member
Registered: 2008-02-07
Posts: 47

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

loafer wrote:

and it's not broken yet.

Yes, but you broke glew hmm

Offline

#14 2009-09-04 21:28:51

loafer
Member
From: the pub
Registered: 2009-04-14
Posts: 1,690

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

OK... understood .. the new files are there ..

locate glew.h
/usr/include/GL/glew.h
/usr/include/GL/glew.h-old
/usr/include/GL/wglew.h
locate lxew.h
/usr/include/GL/glxew.h
/usr/include/GL/glxew.h-old
locate wglew.h
/usr/include/GL/wglew.h
/usr/include/GL/wglew.h-old

What can I test to prove it is now broken?


All men have stood for freedom...
For freedom is the man that will turn the world upside down.
Gerrard Winstanley.

Offline

#15 2009-09-04 21:45:01

buttons
Member
From: NJ, USA
Registered: 2007-08-04
Posts: 618

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

loafer wrote:

OK... understood .. the new files are there ..

locate glew.h
/usr/include/GL/glew.h
/usr/include/GL/glew.h-old
/usr/include/GL/wglew.h
locate lxew.h
/usr/include/GL/glxew.h
/usr/include/GL/glxew.h-old
locate wglew.h
/usr/include/GL/wglew.h
/usr/include/GL/wglew.h-old

What can I test to prove it is now broken?

A diff would suffice...


Cthulhu For President!

Offline

#16 2009-09-04 23:02:47

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,931

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

Offline

#17 2009-09-04 23:11:19

azleifel
Member
Registered: 2007-10-28
Posts: 476

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

glew is now included in the mesa demo programs (it's a bugfix - "Added missing GLEW library to MesaDemos tarballs"!)

Offline

#18 2009-09-04 23:20:35

danthux
Member
From: Concepción, Chile
Registered: 2007-11-18
Posts: 12
Website

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

so, pacman -Syyuf --noconfirm would be safe?


Business model FTW: Free2Play GNU/Affero GPL MMORPG Ryzom (more info)

Offline

#19 2009-09-04 23:33:15

Chrysalis
Member
Registered: 2008-07-07
Posts: 155

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

I dont think thats ever safe, just wait for a fix.

Offline

#20 2009-09-04 23:34:07

wonder
Developer
From: Bucharest, Romania
Registered: 2006-07-05
Posts: 5,937
Website

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

danthux wrote:

so, pacman -Syyuf --noconfirm would be safe?

never do that again. the real fix is to recompile mesa with replaces and provides glew

Last edited by wonder (2009-09-04 23:35:16)


Give what you have. To someone, it may be better than you dare to think.
Blog

Offline

#21 2009-09-05 00:32:25

agapito
Member
From: Spain
Registered: 2008-11-13
Posts: 495

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

pacman -R glew

pacman -Syu

solved for me, waiting to a new glew package to reinstall it.


Excuse my poor English.

Offline

#22 2009-09-05 00:38:59

skottish
Forum Fellow
From: Here
Registered: 2006-06-16
Posts: 7,931

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

As buttons said before, a diff will suffice to find out whether there's 100% compatibility. mesa is installing the header files, not overwriting any of glew's binaries.

Offline

#23 2009-09-05 01:44:28

Richer
Member
Registered: 2008-02-26
Posts: 19

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

I have the same problem, exactly mesa provides glew, but...there is a problem. I have the situation because i install spring and it needs glew as dependency, if i try to use the headers of glew that mesa provides, then spring can't be builded.

Maybe is a spring problem that expect a "glew" package but the problem persist. I try to contact jgc before bugzilla were up.

Offline

#24 2009-09-05 07:04:38

ejmarkow
Member
From: Siemiechów, Poland
Registered: 2008-09-02
Posts: 84
Website

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

Same problem here. So, just wait for a fix, nothing more? Will do.

Offline

#25 2009-09-05 08:50:48

jelly
Trusted User (TU)
From: /dev/null
Registered: 2008-06-10
Posts: 711

Re: [SOLVED]mesa-7.5.1-1 conflicts with glew 1.5.1-1

You will have to wait for the dev's the update the mesa package and upload it to the server and then wait till the mirrors are synced. For now just wait , you can still install some needed packages ( not xorg ) with pacman -S . Just don't use -f , ever.

Offline

Board footer

Powered by FluxBB